<script setup>
// imports
import { ref } from 'vue'
import TooltipComponent from '@/components/base/TooltipComponent.vue'
import NavbarMenu from '@/components/base/NavbarMenu.vue';
import { useBaseStore } from '@/core/stores/base';
// data
const sliderIsOpen = ref(true)
const navbarIsOpen = ref(false)
const baseStore = useBaseStore()
</script>

<template>
  <div class="fixed inset-0 flex items-center">
    <div
      :class="{'!w-[0] !min-w-[0] overflow-x-hidden': !sliderIsOpen }"
      class="w-[260px] min-w-[260px] bg-background-secondary-light dark:bg-background-secondary-dark h-full transition-all max-lg:hidden"
    >
      <div class="min-w-max flex flex-col gap-6">
        <div class="w-full h-[60px] overflow-hidden px-4 pt-6">
          <img
            v-if="baseStore.theme === 'dark'"
            src="/white_logo.png"
            alt="Dolphino challenge"
            class="w-full h-full object-contain object-left"
          />
          <img
            v-if="baseStore.theme === 'light'"
            src="/black_logo.png"
            alt="Dolphino challenge"
            class="w-full h-full object-contain object-left"
          />
        </div>
        <NavbarMenu />
      </div>
    </div>
    <div
      class="bg-background-primary-light dark:bg-background-primary-dark w-full h-full overflow-y-auto px-4 md:px-6 lg:px-10 xl:px-32 pt-[100px] lg:pt-6 pb-10 relative"
    >

    <!--mobile header-->
    <div class="bg-background-secondary-light dark:bg-background-secondary-dark py-1 fixed top-0 z-10 inset-x-0 lg:hidden">
      <div class="px-4 md:px-6 lg:px-10 xl:px-32 flex items-center justify-between gap-4">
        <div class="flex items-center justify-between gap-4">
        <div class="flex items-center gap-4">
          <i @click="navbarIsOpen = true" class="flaticon-menu text-xl"></i>
          <div class="w-[110px] h-[80px] mr-6">
          <img v-if="baseStore.theme === 'dark'" src="/white_logo.png" alt="logo" class="w-full h-full object-contain" />
          <img v-if="baseStore.theme === 'light'" src="/black_logo.png" alt="logo" class="w-full h-full object-contain" />
        </div>
        </div>
      </div>
      </div>
    </div>

    <div @click.self="navbarIsOpen = false" :class="{'!opacity-100 !visible' : navbarIsOpen}" class="fixed inset-0 z-[11] bg-[#00000022] backdrop-blur transition-all opacity-0 invisible"></div>
    <div :class="{'!left-0' : navbarIsOpen}" class="fixed w-[260px] left-[-280px] transition-all inset-y-0 bg-background-secondary-light dark:bg-background-secondary-dark z-[12]">
      <NavbarMenu @on-active-item-change="navbarIsOpen = false" />
    </div>
    <!--mobile header-->

      <TooltipComponent
        @click="sliderIsOpen = !sliderIsOpen"
        :class="sliderIsOpen ? 'left-[280px]' : 'left-4'"
        class="cursor-pointer !fixed top-[50%] transition-all translate-y-[50%] z-10 max-lg:!hidden"
        :title="sliderIsOpen ? 'Close sidebar' : 'Open sidebar'"
        postition="right"
      >
        <i
          :class="{ 'rotate-180': !sliderIsOpen }"
          class="flaticon-left-arrow transition-all !w-[16px] !h-[32px] flex items-center justify-center pt-[3.5px]"
        ></i>
      </TooltipComponent>
      <Suspense>
      <RouterView />
    </Suspense>
    </div>
  </div>
</template>

<style scoped></style>
